org.apache.maven.execution

## Class BuildFailure

- java.lang.Object
- - org.apache.maven.execution.BuildFailure

    public class BuildFailure
    extends java.lang.Object

Describe a build failure in the reactor.

Version:
  $Id: BuildFailure.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter

### Method Summary

Methods
`java.lang.Exception` `getCause()`
`java.lang.String` `getTask()`
`long` `getTime()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getTask

    public java.lang.String getTask()

#### getCause

    public java.lang.Exception getCause()

#### getTime

    public long getTime()